%global sum	Cute breakout-like game

Summary:	%{sum}
Name:		circuslinux
Version:	1.0.3
Release:	%mkrel 27
Source0:	https://tuxpaint.org/ftp/unix/x/circus-linux/src/%{name}-%{version}.tar.bz2
Source5:	%{name}-16.png
Source6:	%{name}-32.png
Source7:	%{name}-48.png
Patch0:		%{name}-1.0.3-fix-64bits-build.patch
Patch1:		0001-circuslinux-fix-implicit-int-for-main-in-tests.patch
License:	GPLv2
Url:		http://newbreedsoftware.com/circus-linux/
Group:		Games/Arcade
BuildRequires:	pkgconfig(SDL_image)
BuildRequires:	pkgconfig(SDL_mixer)
BuildRequires:	pkgconfig(alsa)

%description
"Circus Linux!" is based on the Atari 2600 game "Circus Atari" by Atari,
released in 1980.  Gameplay is similar to "Breakout" and "Arkanoid"- you
slide a device left and right to bounce objects into the air which destroy
a wall.

%prep
%autosetup -p1

# fix EOL
mv README-SDL.txt README-SDL.txt.msdos
sed -e 's/\r$//' README-SDL.txt.msdos > README-SDL.txt

cat << EOF > %{name}.desktop
[Desktop Entry]
Name=Circus Linux
Comment=%{sum}
Exec=%{_gamesbindir}/%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=Game;ArcadeGame;
EOF

%build
%configure	--bindir=%{_gamesbindir} \
		--datadir=%{_gamesdatadir}
%make_build

%install
%makeinstall bindir=%{buildroot}%{_gamesbindir} datadir=%{buildroot}%{_gamesdatadir}

install -D -m644 %{name}.desktop %buildroot%{_datadir}/applications/%{name}.desktop
install -D -m644 %SOURCE6 %buildroot%{_iconsdir}/%{name}.png
install -D -m644 %SOURCE6 %buildroot%{_iconsdir}/hicolor/32x32/apps/%{name}.png
install -D -m644 %SOURCE5 %buildroot%{_miconsdir}/%{name}.png
install -D -m644 %SOURCE5 %buildroot%{_iconsdir}/hicolor/16x16/apps/%{name}.png
install -D -m644 %SOURCE7 %buildroot%{_liconsdir}/%{name}.png
install -D -m644 %SOURCE7 %buildroot%{_iconsdir}/hicolor/48x48/apps/%{name}.png

rm -rf %buildroot%_datadir/doc/circuslinux-1.0.3

%files
%doc AUTHORS.txt CHANGES.txt README.txt FAQ.txt README-SDL.txt
%{_gamesbindir}/%{name}
%{_gamesdatadir}/%{name}
%{_datadir}/applications/*
%{_iconsdir}/*.png
%{_miconsdir}/*.png
%{_liconsdir}/*.png
%{_iconsdir}/hicolor/16x16/apps/%{name}.png
%{_iconsdir}/hicolor/32x32/apps/%{name}.png
%{_iconsdir}/hicolor/48x48/apps/%{name}.png


%changelog
* Thu Sep 05 2024 papoteur <papoteur> 1.0.3-27.mga10
+ Revision: 2093182
- fix build failing on test for GCC
- still use tar.bz2 tarball
+ danf <danf>
- Update source URL to .tar.gz version, which still exists

* Fri Apr 01 2022 umeabot <umeabot> 1.0.3-26.mga9
+ Revision: 1839789
- Mageia 9 Mass Rebuild

* Wed Apr 15 2020 danf <danf> 1.0.3-25.mga8
+ Revision: 1567570
- Fix Comment= in .desktop file to stop referring to debug sources

* Wed Feb 12 2020 umeabot <umeabot> 1.0.3-24.mga8
+ Revision: 1511303
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sat Sep 22 2018 umeabot <umeabot> 1.0.3-23.mga7
+ Revision: 1296252
- Mageia 7 Mass Rebuild

* Mon Feb 08 2016 umeabot <umeabot> 1.0.3-22.mga6
+ Revision: 946746
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.0.3-21.mga5
+ Revision: 744769
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.3-20.mga5
+ Revision: 678403
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.0.3-19.mga4
+ Revision: 503343
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 1.0.3-18.mga3
+ Revision: 347755
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Sep 24 2011 zezinho <zezinho> 1.0.3-17.mga2
+ Revision: 147341
- add BR SDL mixer

* Fri Sep 23 2011 zezinho <zezinho> 1.0.3-16.mga2
+ Revision: 146991
- typo
- imported package circuslinux


* Sun Aug 22 2010 Funda Wang <fwang@mandriva.org> 1.0.3-16mdv2011.0
+ Revision: 571835
- use configure2_5x

* Fri Jun 12 2009 Jérôme Brenier <incubusss@mandriva.org> 1.0.3-16mdv2010.0
+ Revision: 385534
- fix build on x86_64
- fix EOL in README-SDL.txt
- fix license

* Thu Jun 12 2008 Pixel <pixel@mandriva.com> 1.0.3-13mdv2009.0
+ Revision: 218434
- rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Fri Jan 11 2008 Thierry Vignaud <tv@mandriva.org> 1.0.3-13mdv2008.1
+ Revision: 149049
- rebuild
- kill re-definition of %%buildroot on Pixel's request
- kill desktop-file-validate's 'warning: key "Encoding" in group "Desktop Entry" is deprecated'

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Tue Jun 19 2007 Adam Williamson <awilliamson@mandriva.org> 1.0.3-12mdv2008.0
+ Revision: 41210
- clean buildrequires; drop old menu; drop X-Mandriva XDG category; rebuild for 2008
- drop old menu; drop X-Mandriva XDG category; fd.o icons; rebuild for 2008
- Import circuslinux



* Fri Jul  7 2006 Pixel <pixel@mandriva.com> 1.0.3-11mdv2007.0
- use mkrel
- switch to XDG menu

* Fri May 12 2006 Stefan van der Eijk <stefan@eijk.nu> 1.0.3-10mdk
- rebuild for sparc

* Tue Oct 11 2005 Pixel <pixel@mandriva.com> 1.0.3-9mdk
- rebuild

* Fri Aug 13 2004 Pixel <pixel@mandrakesoft.com> 1.0.3-8mdk
- rebuild

* Tue Jul 22 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 1.0.3-7mdk
- rebuild
- really remove Prefix tag
- rm -rf %%buildroot at the beginning of %%install
- change icons
- use %%{_gamesdatadir}
- cosmetics

* Fri Nov 08 2002 Per Øyvind Karlsen <peroyvind@delonic.no> 1.0.3-6mdk
- Removed gcc, automake and autoconf from BuildRequires and also removed Prefix,
  no need for this
- Added missing install stage
- Added menuitem
- Added icons
- Moved binary into %%{_gamesbindir}
- Quiet setup

* Wed Aug 14 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.0.3-5mdk
- Automated rebuild with gcc 3.2-0.3mdk

* Thu Jul 25 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.0.3-4mdk
- Automated rebuild with gcc3.2

* Sun Jul 21 2002 Pixel <pixel@mandrakesoft.com> 1.0.3-3mdk
- recompile against new vorbis stuff

* Mon Apr 29 2002 Pixel <pixel@mandrakesoft.com> 1.0.3-2mdk
- rebuild for new libasound (alsa)

* Sat Feb  2 2002 Pixel <pixel@mandrakesoft.com> 1.0.3-1mdk
- new release

* Sat Jan 19 2002 Stefan van der Eijk <stefan@eijk.nu> 1.0.1-9mdk
- BuildRequires

* Thu Oct 11 2001 Pixel <pixel@mandrakesoft.com> 1.0.1-8mdk
- rebuilding for libpng3

* Fri Sep 28 2001 Stefan van der Eijk <stefan@eijk.nu> 1.0.1-7mdk
- BuildRequires:	libSDL-devel libSDL_image-devel

* Thu Sep  6 2001 Pixel <pixel@mandrakesoft.com> 1.0.1-6mdk
- rebuild

* Mon May 14 2001 Pixel <pixel@mandrakesoft.com> 1.0.1-5mdk
- rebuild with new SDL

* Tue Dec 19 2000 Pixel <pixel@mandrakesoft.com> 1.0.1-4mdk
- rebuild for new libSDL_mixer

* Wed Nov  8 2000 Pixel <pixel@mandrakesoft.com> 1.0.1-3mdk
- capitalize summary

* Tue Nov  7 2000 Pixel <pixel@mandrakesoft.com> 1.0.1-2mdk
- rebuild

* Thu Nov  2 2000 Pixel <pixel@mandrakesoft.com> 1.0.1-1mdk
- initial spec


# end of file
